from repository.freecad_repository import (
    FreeCadRepository,
)


class GetAllPartsLabelsUseCase:
    """Get all parts label in assembly"""

    def call(self):
        parts = []
        for part in FreeCadRepository().getAllSolids():
            parts.append(part.Label)
        return parts
